package com.teslacoilsw.kotlin

import android.content.Intent


inline fun Intent.getNumberExtraAsLong(key: String, defaultValue: Long): Long {
    val out: Long = with(extras?.get(key)) {
        return when (this) {
            is Long -> this
            is Int -> this.toLong()
            else -> defaultValue
        }
    }
}
