package com.teslacoilsw.launcher.icon

import android.graphics.Color

data class IconNormalizationResult @JvmOverloads constructor(val scale: Float, val horizontalOffset: Int, val verticalOffset: Int, val shape: AdaptiveIconShape, val cornerColors: CornerColors = CornerColors(Color.TRANSPARENT, Color.TRANSPARENT, Color.TRANSPARENT, Color.TRANSPARENT)) {
    companion object {
        val EMPTY_RESULT = IconNormalizationResult(1.0f, 0, 0, AdaptiveIconShape.NONE)
    }
}

data class CornerColors(val topLeft: Int, val bottomLeft: Int = topLeft,  val topRight: Int = topLeft, val bottomRight: Int = bottomLeft) {
    fun isConstant() = topLeft == topRight && topLeft == bottomLeft && topLeft == bottomRight
}