package com.teslacoilsw.kotlin

import android.content.Context

inline fun Context.isPackageInstalled(pkg: String): Boolean {
    return try {
        applicationContext.packageManager.getPackageInfo(pkg, 0)
        true
    } catch (e: Exception) {
        false
    }
}