package com.teslacoilsw.kotlin

import android.util.DisplayMetrics
import android.util.TypedValue

fun DisplayMetrics.dp(dimenDp: Int): Int {
    val f = dimenDp * density
    val res = (f + 0.5f).toInt()
    if (res != 0) return res
    if (dimenDp == 0) return 0
    if (dimenDp > 0) return 1
    return -1
}

fun DisplayMetrics.dp(dimenDp: Float): Int {
    val f = dimenDp * density
    val res = (f + 0.5f).toInt()
    if (res != 0) return res
    if (dimenDp == 0f) return 0
    if (dimenDp > 0) return 1
    return -1
}

fun DisplayMetrics.sp(dimenSp: Float): Int {
    return Math.round(TypedValue.applyDimension(TypedValue.COMPLEX_UNIT_SP, dimenSp, this))
}